// KJV_VCNetDlg.cpp : implementation file
//
#pragma once

#include "stdafx.h"
#include "KJV_VCNet.h"
#include "KJV_VCNetDlg.h"
#include ".\kjv_vcnetdlg.h"
#include "Book.h"
#include "afxwin.h"
#include "Biography.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	enum { IDD = IDD_ABOUTBOX };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
	DECLARE_MESSAGE_MAP()
public:
	CString m_edit1;
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedButton1();
	
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
, m_edit1(_T(""))

{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT1, m_edit1);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)

	ON_BN_CLICKED(IDC_BUTTON1, OnBnClickedButton1)
END_MESSAGE_MAP()

// CKJV_VCNetDlg dialog


CKJV_VCNetDlg::CKJV_VCNetDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CKJV_VCNetDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CKJV_VCNetDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CKJV_VCNetDlg, CDialog)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_COMMAND(ID_INFOMENU_ABOUT, OnInfomenuAbout)
	ON_COMMAND(ID_INFOMENU_EXIT, OnInfomenuExit)
	ON_COMMAND(ID_INFOMENU_BOOK, OnInfomenuBook)
END_MESSAGE_MAP()


// CKJV_VCNetDlg message handlers

BOOL CKJV_VCNetDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CKJV_VCNetDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CKJV_VCNetDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CKJV_VCNetDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

void CKJV_VCNetDlg::OnInfomenuAbout()
{
        CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	// TODO: Add your command handler code here
}

void CKJV_VCNetDlg::OnInfomenuExit()
{
	this->EndDialog(0);
	// TODO: Add your command handler code here
}


BOOL CAboutDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
//Database and Recordset objects declaration	
    
	CDaoDatabase* m_pDBW;
	CDaoRecordset* m_pRSW;
	
	m_pDBW = new CDaoDatabase;
	m_pRSW = new CDaoRecordset(m_pDBW);

	TCHAR curdir[MAX_PATH];  //MAX_PATH - Maximum length of directory
	
    // Get Current Directory
    GetCurrentDirectory( MAX_PATH, curdir ); 

	//DataBase name, KJV2002.mdb at Current Directory
	m_pDBW->Open((CString)curdir + _T("\\KJV2002.mdb"));  

    m_pRSW->Open(dbOpenDynaset, "SELECT * from BibleTable", 0);   
			  
	//First record of KJV.mdb file stores information about this database
	m_pRSW->Move(0);
   
	m_edit1 = CString(V_BSTRT(&(m_pRSW->GetFieldValue(_T("TextData")))));
	UpdateData(FALSE);
	// TODO:  Add extra initialization here

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void CKJV_VCNetDlg::OnInfomenuBook()
{
     CBook dlgBook;
     dlgBook.DoModal();
	// TODO: Add your command handler code here
}

void CAboutDlg::OnBnClickedButton1()
{
     CBiography dlgBio;
     dlgBio.DoModal();
	// TODO: Add your control notification handler code here
}


